EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • 工作流
                  • 算法
                    • 模型
                      • 产物与导出
                        • 计费与用量
                          • 团队与治理
                            • 账号与通知
                              • GET
                                List the current user activity tray for this team
                              • GET
                                Get the current user handle profile
                              • PATCH
                                Update the current user handle
                              • GET
                                List annotation assignments for a me
                              • GET
                                List collection tasks for a me
                              • GET
                                Get a collection task
                              • POST
                                Create a consent acceptance
                              • GET
                                List delivery batches for a me
                              • POST
                                Create a closure
                              • GET
                                Get the current user notification channel preferences for this team
                              • PUT
                                Replace the current user notification channel preferences for this team
                              • GET
                                List workflow runs for a me
                              • GET
                                List notifications
                              • POST
                                Create a read receipt
                              • POST
                                Create a read receipt
                              • GET
                                List unread count for a notification
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 账号与通知
                              4. Get a collection task

                              Get a collection task

                              GET
                              /v1/me/collection-tasks/{taskId}
                              curl -X GET 'https://api.embodiflow.io/v1/me/collection-tasks/{taskId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • taskIdstring必填

                              响应

                              Success

                              • dataobject必填
                                • idstring必填
                                • orderIdstring必填
                                • projectIdstring必填
                                • orderTitlestring必填
                                • namestring必填
                                • instructionJsonobject必填
                                • demoMediaKeysarray<string>必填
                                • startConditionstring必填
                                • endConditionstring必填
                                • allowedVariationstring | null必填
                                • durationMinSnumber | null必填
                                • durationMaxSnumber | null必填
                                • requiredCamerasarray<string>必填
                                • requiredModalitiesarray<string>必填
                                • minHandsVisiblenumber | null必填
                                • recordingModestring必填
                                • orderIndexnumber必填
                                • consentRequiredone of必填
                                • latestConsentobject | null必填
                                • consentAcceptedone of必填
                                • quotaobject必填
                                • submissionsarray<CollectionWorkspaceSubmissionDto>必填
                              响应示例
                              {
                                "data": {
                                  "id": "string",
                                  "orderId": "string",
                                  "projectId": "string",
                                  "orderTitle": "string",
                                  "name": "string",
                                  "instructionJson": {
                                    "en": "string",
                                    "zh": "string"
                                  },
                                  "demoMediaKeys": [
                                    "string"
                                  ],
                                  "startCondition": "string",
                                  "endCondition": "string",
                                  "allowedVariation": "string",
                                  "durationMinS": 0,
                                  "durationMaxS": 0,
                                  "requiredCameras": [
                                    "string"
                                  ],
                                  "requiredModalities": [
                                    "string"
                                  ],
                                  "minHandsVisible": 0,
                                  "recordingMode": "string",
                                  "orderIndex": 0,
                                  "consentRequired": false,
                                  "latestConsent": {
                                    "id": "string",
                                    "version": 0,
                                    "textMd": "string"
                                  },
                                  "consentAccepted": false,
                                  "quota": {
                                    "remainingForMe": 0,
                                    "remainingOverall": 0,
                                    "perCollectorCap": 0,
                                    "mySubmissionCount": 0,
                                    "overallSubmissionCount": 0
                                  },
                                  "submissions": [
                                    {
                                      "id": "string",
                                      "recordingId": "string",
                                      "taskId": "string",
                                      "sceneId": "string",
                                      "decision": "pending",
                                      "displayStatus": "accepted",
                                      "reasonCode": "string",
                                      "reasonDetail": "string",
                                      "createdAt": "string"
                                    }
                                  ]
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              GET /me/collection-tasks

                              下一页

                              POST /me/collection-tasks/{taskId}/consent-acceptances

                              curl -X GET 'https://api.embodiflow.io/v1/me/collection-tasks/{taskId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "orderId": "string",
                                  "projectId": "string",
                                  "orderTitle": "string",
                                  "name": "string",
                                  "instructionJson": {
                                    "en": "string",
                                    "zh": "string"
                                  },
                                  "demoMediaKeys": [
                                    "string"
                                  ],
                                  "startCondition": "string",
                                  "endCondition": "string",
                                  "allowedVariation": "string",
                                  "durationMinS": 0,
                                  "durationMaxS": 0,
                                  "requiredCameras": [
                                    "string"
                                  ],
                                  "requiredModalities": [
                                    "string"
                                  ],
                                  "minHandsVisible": 0,
                                  "recordingMode": "string",
                                  "orderIndex": 0,
                                  "consentRequired": false,
                                  "latestConsent": {
                                    "id": "string",
                                    "version": 0,
                                    "textMd": "string"
                                  },
                                  "consentAccepted": false,
                                  "quota": {
                                    "remainingForMe": 0,
                                    "remainingOverall": 0,
                                    "perCollectorCap": 0,
                                    "mySubmissionCount": 0,
                                    "overallSubmissionCount": 0
                                  },
                                  "submissions": [
                                    {
                                      "id": "string",
                                      "recordingId": "string",
                                      "taskId": "string",
                                      "sceneId": "string",
                                      "decision": "pending",
                                      "displayStatus": "accepted",
                                      "reasonCode": "string",
                                      "reasonDetail": "string",
                                      "createdAt": "string"
                                    }
                                  ]
                                }
                              }